base(3)

NAME
base - Establish IS-A relationship with base class at compile time

SYNOPSIS
    package Baz;
    use base qw(Foo Bar);

DESCRIPTION
Roughly similar in effect to

    BEGIN {
        require Foo;
        require Bar;
        push @ISA, qw(Foo Bar);
    }

Will also initialize the %FIELDS hash if one of the base classes has it. Multiple inheritance of %FIELDS is not supported. The 'base' pragma will croak if multiple base classes have a %FIELDS hash. See fields for a description of this feature.

When strict 'vars' is in scope base also let you assign to @ISA without having to declare @ISA with the 'vars' pragma first.

If any of the base classes are not loaded yet, base silently "require"s them. Whether to "require" a base class package is determined by the absence of a global $VERSION in the base package. If $VERSION is not detected even after loading it, <base> will define $VERSION in the base package, setting it to the string "-1, set by base.pm".

HISTORY
This module was introduced with Perl 5.004_04.

SEE ALSO
fields